<?php
/**
 * $Horde: nic/lookup.php,v 1.16 2005/01/03 14:35:21 jan Exp $
 *
 * Copyright 2000-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';

$title = Nic::getServiceName('lookup');
require NIC_TEMPLATES . '/common-header.inc';
require NIC_TEMPLATES . '/menu.inc';

$results = '';

$ip = Util::getFormData('ip');

if (preg_match('/(\d+)\.(\d+)\.(\d+)\.(\d+)/', $ip)) {
    $hostname = gethostbyaddr($ip);
    if (preg_match('/(\d+)\.(\d+)\.(\d+)\.(\d+)/', $hostname)) {
        $results = '<p class="smallheader">' . sprintf(_("%s has no reverse lookup"), $ip) . '</p>';
    } else {
        $results = "<p><b><a href=\"http://$hostname\" target=\"_blank\">$hostname</a></b></p>";
    }
} else {
    if ($results != '') {
        $results = "<p><b>Please check the IP number, $ip could have a typographical error.</b></p>";
    }
}

require NIC_TEMPLATES . '/lookup/lookup.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
